Extension Details
MobileMoney
Different countries have different supported carriers for MobileMoney. Additional parameters must be passed in according to the table below.Add the
codefield to the request parameterextensionand pass in the corresponding carrier code. Refer to the table below.
| Country | Currency | Carrier Code Values |
|---|---|---|
| Ghana (GH) | GHS | mpesa, airtel and mtn |
| Kenya (KE) | KES | mpesa, airtel and equitel |
| Uganda (UG) | UGX | airtel and mtn |
| Tanzania (TZ) | TZS | airtel, vodacom and tigo |
| Zambia (ZM) | ZMW | airtel, zamtel and mtn |
Example
json
{
"transactionType": "Sale",
"transactionId": "123456",
"currency": "GHS",
"amount": "8.88",
"transactionMethod": "MobileMoney",
"...": "...",
"extension": {
"code": "airtel"
}
}USSD
USSD requires the specified bank Code to be passed in.Add the
codefield to the request parameterextensionand pass in the corresponding bank code. Refer to the table below.When the bank isZenith bank, theaccount(bank account) field must also be passed in.
| Bank Name | Bank Code Value |
|---|---|
| Access Bank | access_bank |
| Ecobank | ecobank |
| Fidelity Bank | fidelity_bank |
| First Bank of Nigeria | first_bank_of_nigeria |
| Guaranty Trust Bank | guaranty_trust_bank |
| Heritage Bank | heritage_bank |
| Keystone Bank | keystone_bank |
| Stanbic IBTC Bank | stanbic_ibtc_bank |
| Sterling Bank | sterlink_bank |
| Union Bank | union_bank |
| United Bank for Africa | united_bank_for_africa |
| Unity Bank | unity_bank |
| VFD Microfinance Bank | vfd_microfinance_bank |
| Wema bank | wema_bank |
| Zenith bank | zenith_bank |
Example
json
{
"transactionType": "Sale",
"transactionId": "123456",
"currency": "USD",
"amount": "8.88",
"transactionMethod": "USSD",
"...": "...",
"extension": {
"code": "zenith_bank",
"account": "123456789"
}
}